<div class="position-relative overflow-hidden p-3 p-md-5 m-md-3 text-center" style="background: #E0E0E0">
  <div class="col-md-5 p-lg-5 mx-auto my-5">
    <div>

      <div style="margin-bottom: 20px;" class="row" >
        <div class="col-sm">
        </div>
        <div class="col-6-sm">
          <h2><span>LocalSIF</span></h2>
        </div>
        <div class="col-sm">
        </div>
      </div>

      <div style="margin-bottom: 20px;"  class="row">
        <div class="col-sm">
        </div>
        <div class="col-6-sm">
          <div id="buttons">
            <button style="margin: 10px" [ngClass]="this.webRTCService.EstablishedConnectionWithServer ? 'btn btn-success' : this.webRTCService.TriedToConnectWithServer ? 'btn btn-danger' :'btn btn-primary'" id="connectButton" (click)="connectToServer()">Connect To Server</button>
            <button style="margin: 10px" [ngClass]="(this.webRTCService.UploadedFileToSend&&this.webRTCService.EstablishedConnectionWithClient&&this.webRTCService.CreatedSendChannel) ? 'btn btn-success' : 'btn btn-primary'" class="btn btn-primary" id="startButton" (click)="connectToClient()" [disabled]="!this.webRTCService.EstablishedConnectionWithServer">Connect To ClientCode</button>
            <button style="margin: 10px" class="btn btn-primary" id="sendButton" (click)="sendFiles()" [disabled]="!(this.webRTCService.UploadedFileToSend&&this.webRTCService.EstablishedConnectionWithClient&&this.webRTCService.CreatedSendChannel)">Send Data</button>
          </div>
        </div>
        <div class="col-sm">
        </div>
      </div>

      <div style="margin-bottom: 20px;"  class="row">
        <div class="col-sm">
        </div>
        <div class="col-6-sm">
          <H3>Your Code Is : {{this.webRTCService.uuid}}</H3>
          <qr-code [value]="this.webRTCService.uuid "></qr-code>
        </div>
        <div class="col-sm">
        </div>
      </div>

      <div style="margin-bottom: 20px;" class="row">
        <div class="col-sm">
        </div>
        <div class="col-6-sm">
          <div>
            <div class="input-group mb-3">
              <div class="input-group-prepend">
                <span class="input-group-text" id="ClientCode">ClientCode</span>
              </div>
              <input type="text" class="form-control" [(ngModel)]="this.webRTCService.clientCode" aria-describedby="ClientCode">
            </div>
            <ul>
              <li *ngFor="let clienz of this.webRTCService.peerUIDs">
                {{ clienz }}
                <button style="margin: 5px;" class="btn btn-danger" (click)="this.webRTCService.disconnect(clienz)">     Disconnect</button>
              </li>
            </ul>
            <div [hidden]="!this.webRTCService.connectionWaitingforAccept">
              <p>{{this.webRTCService.clientCode}} wants to establish a Connection</p>
              <button class="btn btn-success" id="accept-button">Accept</button>
              <button class="btn btn-danger" id="decline-button">Decline</button>
            </div>
          </div>
        </div>
        <div class="col-sm">
        </div>
      </div>


      <div style="margin-bottom: 20px;" class="row">
        <div class="col-sm">
        </div>
        <div class="col-6-sm">
          <div>
            <div>
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text">Upload</span>
                </div>
                <div class="custom-file">
                  <input (change)="onFileChange($event)" type="file" class="custom-file-input" id="fileUpload">
                  <label class="custom-file-label" for="fileUpload">Choose file</label>
                </div>
              </div>

              <ul>
                <li *ngFor="let filez of this.webRTCService.filesToSend">
                  {{ filez.name }} <button class="btn btn-danger" (click)="removeFromUpload(filez)">     Remove</button>
                </li>
              </ul>
            </div>
          </div>
        </div>
        <div class="col-sm">
        </div>
      </div>


      <div style="margin-bottom: 20px;" class="row" [hidden]="!(this.webRTCService.sendProgressValue!=0)">
        <div class="col-sm">
        </div>
        <div class="col-6-sm">
          <div style="height: 25px;margin: 10px;" class="progress">
            <div style="margin-top: 12px;margin-right: 10px;" class="label">Send progress: </div>
            <progress style="margin-top:7px;"  [value]="this.webRTCService.sendProgressValue" [max]="this.webRTCService.sendProgressMax" id="this.webRTCService.sendProgress" ></progress>
          </div>

        </div>
        <div class="col-sm">
        </div>
      </div>


      <div style="margin-bottom: 20px;" class="row" [hidden]="!(this.webRTCService.receiveProgressValue!=0)">
        <div class="col-sm">
        </div>
        <div class="col-6-sm">
          <div style="height: 25px;margin: 10px;" class="progress">
            <div style="margin-top: 12px;margin-right: 10px;" class="label">Receive progress: </div>
            <progress style="margin-top: 7px;" id="receiveProgress"  [value]="this.webRTCService.receiveProgressValue" [max]="this.webRTCService.receiveProgressMax"></progress>
          </div>
        </div>
        <div class="col-sm">
        </div>
      </div>


      <div style="margin-bottom: 20px;" class="row">
        <div class="col-sm">
        </div>
        <div class="col-6-sm">
          <ul>
            <li *ngFor="let receivedFile of this.webRTCService.receivedFiles">
              <a [download]="receivedFile.download" [href]="receivedFile.href" [textContent]="receivedFile.textContent"></a>
            </li>
          </ul>

        </div>
        <div class="col-sm">
        </div>
      </div>

  </div>
  </div>
  <div class="product-device box-shadow d-none d-md-block"></div>
  <div class="product-device product-device-2 box-shadow d-none d-md-block"></div>
</div>


  <!--
    <div  [(textContent)]="bitrateDiv" [innerHTML]="bitrateDivInnerHTML" id="bitrate"></div>
    <a [download]="downloadAnchorDownload" [href]="downloadAnchorHref" [textContent]="downloadAnchorTextContent" [style]="downloadAnchorStyleDisplay" id="download"></a>
    <span [(innerHTML)]="statusMessage" id="status"></span>
    -->

